# General connection parameters
ansible_network_os: ios
ansible_host_key_checking: false

# Retrieve credentials to access WLC from runner variables
#ansible_user: "{{ lookup('ansible.builtin.env', 'WLC_user') }}"
#ansible_password: "{{ lookup('ansible.builtin.env', 'WLC_Password') }}"

# Retrieve credentials to access WLC from Hashicorp Vault
role_id: "{{ lookup('ansible.builtin.env', 'H_WLC_role_id') }}"
secret_id: "{{ lookup('ansible.builtin.env', 'H_WLC_secret_id') }}"
namespace: EC/DIGIT_C4_SNET_ADMIN-ACC validate_certs=False
secret: cisco-wlc-kv/data/wlc_lab
vault_data: "{{ lookup('community.hashi_vault.hashi_vault','secret={{ secret }} auth_method=approle role_id={{ role_id }} secret_id={{ secret_id }} url=https://sam-hcavault.cec.eu.int namespace={{ namespace }}') }}"

ansible_user: "{{ vault_data.user }}"
ansible_password: "{{ vault_data.password }}"
# Suffix append to name is order to see the snippets that are created via Ansible
suffix: "_Ansi"